> ## Documentation Index
> Fetch the complete documentation index at: https://docs.nx1cloud.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List identity providers

> List all identity providers configured in Keycloak.



## OpenAPI

````yaml get /api/identity-providers
openapi: 3.1.0
info:
  title: Nx1 AI API
  description: |

    AI API for Nx1 Data Platform Management and Automated Data Tasks.

    Authentication is required via PSK in Authorization header.

    Default PSK is | [ask a friend] |
  version: 0.10.2
servers: []
security: []
paths:
  /api/identity-providers:
    get:
      tags:
        - Identity providers
      summary: List identity providers
      description: List all identity providers configured in Keycloak.
      operationId: list_identity_providers_api_identity_providers_get
      responses:
        '200':
          description: All configured identity providers.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/IdpListResponse'
        '403':
          description: Forbidden
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
      security:
        - OAuth2AuthorizationCodeBearer: []
        - APIKeyHeader: []
components:
  schemas:
    IdpListResponse:
      properties:
        identity_providers:
          items:
            $ref: '#/components/schemas/IdpResponse'
          type: array
          title: Identity Providers
        total:
          type: integer
          title: Total
      type: object
      required:
        - identity_providers
        - total
      title: IdpListResponse
      description: Response for listing identity providers.
    ErrorResponse:
      properties:
        error:
          type: string
          title: Error
          description: A brief description of the error that occurred.
        code:
          type: integer
          title: Code
          description: The HTTP status code associated with the error.
          default: 500
      type: object
      required:
        - error
      title: ErrorResponse
    IdpResponse:
      properties:
        alias:
          type: string
          title: Alias
        display_name:
          type: string
          title: Display Name
        provider_id:
          type: string
          title: Provider Id
        enabled:
          type: boolean
          title: Enabled
        internal_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Internal Id
        known_provider:
          anyOf:
            - $ref: '#/components/schemas/KnownProvider'
            - type: 'null'
        config:
          additionalProperties: true
          type: object
          title: Config
          description: Provider configuration. NexusOne masks the secrets.
        mapper_count:
          type: integer
          title: Mapper Count
          description: Number of configured mappers.
          default: 0
      type: object
      required:
        - alias
        - display_name
        - provider_id
        - enabled
      title: IdpResponse
      description: Response for a single identity provider.
    KnownProvider:
      type: string
      enum:
        - okta
        - entra_id
        - auth0
        - google
        - github
        - ping_identity
        - onelogin
        - custom_oidc
        - custom_saml
        - active_directory
      title: KnownProvider
  securitySchemes:
    OAuth2AuthorizationCodeBearer:
      type: oauth2
      flows:
        authorizationCode:
          scopes: {}
          authorizationUrl: >-
            https://sso-rapid.rapid.nx1cloud.com/realms/rapid/protocol/openid-connect/auth
          tokenUrl: >-
            https://sso-rapid.rapid.nx1cloud.com/realms/rapid/protocol/openid-connect/token
    APIKeyHeader:
      type: apiKey
      in: header
      name: Authorization-PSK

````